List knowledge bases
curl --request GET \
--url https://api.callaro.ai/api/v1/knowledge-bases \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/knowledge-bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/knowledge-bases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"description": "<string>",
"publication_status": "<string>",
"processing_status": "<string>",
"unpublished_changes": "<string>",
"slug": "<string>",
"summary_char_limit": 123,
"summary_model_provider": "<string>",
"summary_model_name": "<string>",
"summary_version": "<string>",
"prompt_summary_status": "<string>",
"prompt_summary_generated_at": "<string>",
"last_source_change_at": "<string>",
"can_publish": "<string>",
"publish_blockers": "<string>",
"latest_summary_generation": "<string>",
"source_count": 123,
"document_count": 123,
"block_count": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
]
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}KnowledgeBases
List knowledge bases
From api/v1/knowledge_bases#index in voice_saas_api. Fields come from that action’s strong params / params usage.
GET
/
api
/
v1
/
knowledge-bases
List knowledge bases
curl --request GET \
--url https://api.callaro.ai/api/v1/knowledge-bases \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/knowledge-bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/knowledge-bases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"description": "<string>",
"publication_status": "<string>",
"processing_status": "<string>",
"unpublished_changes": "<string>",
"slug": "<string>",
"summary_char_limit": 123,
"summary_model_provider": "<string>",
"summary_model_name": "<string>",
"summary_version": "<string>",
"prompt_summary_status": "<string>",
"prompt_summary_generated_at": "<string>",
"last_source_change_at": "<string>",
"can_publish": "<string>",
"publish_blockers": "<string>",
"latest_summary_generation": "<string>",
"source_count": 123,
"document_count": 123,
"block_count": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
]
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Query Parameters
Free-text search (also accepts search_term).
Alias of search.
Structured Filterable filters.
Sort field or sort[field].
Sort direction (asc/desc).
1-based page for offset pagination.
Page size (also accepts page_size).
Alias of per_page.
Was this page helpful?